services:
  chartbrew:
    container_name: chartbrew
    image: razvanilin/chartbrew
    environment:
      - VITE_APP_API_HOST=https://chartbrew.domr.ovh:4019
      - VITE_APP_CLIENT_PORT=4018
      - VITE_APP_CLIENT_HOST=https://chartbrew.domr.ovh
      - CB_REDIS_PASSWORD=Diavid9600
      - CB_REDIS_PORT=6379
      - CB_REDIS_HOST=host.docker.internal
      - CB_DB_PASSWORD=Diavid9600
      - CB_DB_USERNAME=root
      - CB_DB_NAME=chartbrew
      - CB_DB_PORT=3306
      - CB_DB_HOST=host.docker.internal
      - CB_API_PORT=4019
      - CB_API_HOST=0.0.0.0
      - CB_ENCRYPTION_KEY=iuGSZWEs2+SjkrW15a468gIG8089pEUDfZ4XVZD0772TQCTj/kac1Oz7noOge+WRcdj6W8Q0JfqfVXBUPXHuPzAm2fBBRC9xjCdVqbAYk/0=
      - CB_MAIL_HOST=${SYSTEM_EMAIL_USER}
      - CB_MAIL_USER=${SYSTEM_EMAIL_PASSSWORD}
      - CB_MAIL_PASS=${SYSTEM_EMAIL_SMTP_HOST}
      - CB_MAIL_PORT=${SYSTEM_EMAIL_SMTP_PORT}
      - CB_MAIL_SECURE=${SYSTEM_EMAIL_SMTP_SECURITY}
      - CB_ADMIN_MAIL=soenke@domroese.eu
      - CB_OPENAI_API_KEY=
      - CB_OPENAI_MODEL=
    ports:
      - '4018:4018'
      - '4019:4019'
    labels:
      kuma.tools.tag.name: 'Tools'
      kuma.tools.tag.color: '#FF9900'
      kuma.homelab.tag.name: 'Homelab'
      kuma.homelab.tag.color: '#FF9955'
      kuma.organization.tag.name: 'Organization'
      kuma.organization.tag.color: '#FF99AA'
      kuma.chartbrew.http.name: 'Chartbrew'
      kuma.chartbrew.http.url: 'https://chartbrew.domr.ovh'
      kuma.chartbrew.http.tag_names: '[{"name": "tools", "value": "" }, {"name": "organization", "value": "" }]'
